> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout

> Get details of a single payout by payoutId



## OpenAPI

````yaml GET /balance/payouts/{payoutId}
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /balance/payouts/{payoutId}:
    get:
      description: Get details of a single payout by payoutId
      parameters:
        - name: payoutId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the payout
          example: po_g8jKF4kdSdxlYcX2
      responses:
        '200':
          description: Successful response with payout details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-payout-response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    get-payout-response:
      type: object
      properties:
        payoutId:
          type: string
          description: Unique identifier of the payout
          example: po_g8jKF4kdSdxlYcX2
        payoutStatementUrl:
          type: string
          description: >-
            A special link you can use to download the payout statement file as
            a CSV. This link is valid for 10 minutes.
        amount:
          $ref: '#/components/schemas/PayoutAmount'
        status:
          $ref: '#/components/schemas/PayoutStatus'
        createdAt:
          $ref: '#/components/schemas/PayoutCreatedAt'
      required:
        - payoutId
        - payoutStatementUrl
        - amount
        - status
        - createdAt
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
    PayoutAmount:
      type: integer
      format: int64
      description: Amount in cents (USD)
      example: 30000
    PayoutStatus:
      type: string
      description: Current status of the payout
      enum:
        - INITIATED
        - SUCCESS
        - FAILED
      example: SUCCESS
    PayoutCreatedAt:
      type: integer
      description: Epoch timestamp in milliseconds of when the payout was created
      example: 1727340330123
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````